Package org.silverpeas.components.whitepages.model

## Class WhitePagesCard

- java.lang.Object
- - org.silverpeas.components.whitepages.model.WhitePagesCard

- All Implemented Interfaces:
    `Comparable<WhitePagesCard>`

      public class WhitePagesCard
      extends Object
      implements Comparable<WhitePagesCard>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WhitePagesCard​(long userCardId, String instanceId)` |
    `WhitePagesCard​(String label)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(WhitePagesCard theOther)` |
    `boolean` | `equals​(Object theOther)` |
    `String` | `getInstanceId()` |
    `String` | `getInstanceLabel()` |
    `long` | `getUserCardId()` |
    `int` | `hashCode()` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setUserCardId​(long userCardId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhitePagesCard

          public WhitePagesCard​(String label)

    - #### WhitePagesCard

          public WhitePagesCard​(long userCardId,
                                String instanceId)

  - ### Method Detail

    - #### getUserCardId

          public long getUserCardId()

    - #### getInstanceId

          public String getInstanceId()

    - #### getInstanceLabel

          public String getInstanceLabel()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### setUserCardId

          public void setUserCardId​(long userCardId)

    - #### equals

          public boolean equals​(Object theOther)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(WhitePagesCard theOther)

      Specified by:
        `compareTo` in interface `Comparable<WhitePagesCard>`